<?php

/**
 * @package CsvImporterPlusforACF
 */

namespace CIPFA\base;

// make sure we don't expose any info if called directly
if (!defined('ABSPATH')) exit; // Exit if accessed directly

class CIPFA_Activate
{
    public static function cipfa_activate()
    {
        if (get_option('cipfa_total_imported_so_far') === false) {
            add_option('cipfa_total_imported_so_far', 0);
        }

        if (get_option('cipfa_import_completed') === false) {
            add_option('cipfa_import_completed', false);
        }

        if (get_option('cipfa_enable_log') === false) {
            add_option('cipfa_enable_log', 'yes', '', false);
        }

        if (get_option('cipfa_flush_cache') === false) {
            add_option('cipfa_flush_cache', 'no', '', false);
        }

        if (get_option('cipfa_replace_categories') === false) {
            add_option('cipfa_replace_categories', 'yes', '', false);
        }

        if (get_option('cipfa_replace_tags') === false) {
            add_option('cipfa_replace_tags', 'yes', '', false);
        }

        if (get_option('cipfa_replace_custom_taxonomies') === false) {
            add_option('cipfa_replace_custom_taxonomies', 'yes', '', false);
        }

        if (get_option('cipfa_duplicate_media_path') === false) {
            add_option('cipfa_duplicate_media_path', '');
        }

        if (get_option('cipfa_current_log_path') === false) {
            add_option('cipfa_current_log_path', '');
        }

        if (get_option('cipfa_imported_categories') === false) {
            add_option('cipfa_imported_categories', false);
        }

        if (get_option('cipfa_imported_tags') === false) {
            add_option('cipfa_imported_tags', false);
        }

        if (get_option('cipfa_imported_custom_taxonomies') === false) {
            add_option('cipfa_imported_custom_taxonomies', false);
        }

        if (get_option('cipfa_imported_user') === false) {
            add_option('cipfa_imported_user', false);
        }

        if (get_option('cipfa_csv_file_path') === false) {
            add_option('cipfa_csv_file_path', '');
        }
    }
}
